Trigger Automation Run
POST
/api/automations/{automation_alias}/run-now
const url = 'https://example.com/api/automations/example/run-now';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/automations/example/run-now \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Trigger an immediate run of the automation’s Databricks job.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”automation_alias
required
Automation Alias
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
AutomationRunNowRequest
object
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}